#include <stdio.h>
#include <app/Clipboard.h>

// Simply echo out the text contents of the system pasteboard
// to the stdout file.  Nice to highlite some text, hit cmd-c
// and then hop to a Terminal window, and type 'pb >> a file'
// or 'pb | somecommand'.

int main ( int argc, char *argv[] )
{
	BClipboard *clipboard = new BClipboard("system");

	int32		textlen; 
	const void	**text;
	BMessage 	*clip = (BMessage *)NULL; 

	if (clipboard->Lock()) { 
		if (clip = clipboard->Data()) {
			clip->FindData("text/plain", B_MIME_TYPE, (const void **)&text, &textlen); 
			if (( text != NULL ) && ( textlen > 0 )) printf("%s", text);
			clipboard->Unlock(); 
		}
	}

	return ( 0 );
}
